#include "common.h"
#include <math.h>
#include <stdio.h>
#include <stdlib.h>
#include <stdint.h>
#include <string.h>

#ifdef __cplusplus
extern "C" {
#endif

int
LLVMFuzzerTestOneInput(const uint8_t *data, size_t size) {
    size_t i = 0;

    double double_eq_const_0_0;
    double double_eq_const_1_0;
    double double_eq_const_2_0;
    double double_eq_const_3_0;

    if (size < 32)
        return TEPHRA_EXIT_FAILURE;


    memcpy(&double_eq_const_0_0, &data[i], 8);
    i += 8;
    memcpy(&double_eq_const_1_0, &data[i], 8);
    i += 8;
    memcpy(&double_eq_const_2_0, &data[i], 8);
    i += 8;
    memcpy(&double_eq_const_3_0, &data[i], 8);
    i += 8;


    if (double_eq_const_0_0 == -6.545696688717219E190)
    if (double_eq_const_1_0 == 1.4082332760426383E116)
    if (double_eq_const_2_0 == 2.5214995304271937E-291)
    if (double_eq_const_3_0 == -6.205430328342531E73)
        BOOM();

    return TEPHRA_EXIT_SUCCESS;
}

#ifdef __cplusplus
}
#endif
